#include "sossenabteilung.h"
#include <iostream>


// Konstruktordefinition
Soßenabteilung::Soßenabteilung(int anzahl, Soßenart art) : anzahl(anzahl), art(art) {}

// Methode zum Lagern von Soßen
void Soßenabteilung::lagernVonSoßen(int zusätzlicheAnzahl) {
    anzahl += zusätzlicheAnzahl;
    std::cout << zusätzlicheAnzahl << " " << soßenArtToString(art) << " wurden gelagert. Neue Anzahl: " << anzahl << std::endl;
}

// Hilfsfunktion zur Konvertierung von Soßenart in String
std::string Soßenabteilung::soßenArtToString(Soßenart soßenart) const {
    switch (soßenart) {
    case Soßenart::Soy:
        return "Soy";
    case Soßenart::Fish:
        return "Fish";
    case Soßenart::Hoisin:
        return "Hoisin";
    case Soßenart::Chili_Oil:
        return "Chili_Oil-Soße";
    case Soßenart::Sambal:
        return "Sambal-Soße";
    case Soßenart::Chili_Crisp:
        return "Chili_Crisp-Soße";
    default:
        return "Unbekannte Soße";
    }
}


